Unable to install compass on ruby gems

Pious's Avatar

Pious

15 Jan, 2018 12:54 PM

$ gem install compass --source http://rubygems.org
ERROR: Could not find a valid gem 'compass' (>= 0), here is why:
          Unable to download data from http://rubygems.org/ - no such name (http://api.rubygems.org/specs.4.8.gz)
Am trying to install compass, but am getting the above error.

Even checked on gem sources command, but nothing is listed on the sources.Tried adding the sources by using "gem sources --add https://rubygems.org/ but still it could not work
$ gem sources --add https://rubygems.org/
Error fetching https://rubygems.org/:
        no such name (https://api.rubygems.org/specs.4.8.gz)
Please help

  1. Support Staff 1 Posted by kerrizor on 31 Jan, 2018 10:11 PM

    kerrizor's Avatar

    Thank you for your patience with this tardy response. Is this still an issue that I can help you with?

  2. kerrizor closed this discussion on 31 Jan, 2018 10:11 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac